## ncbi-vdb 3.0.2+dfsg

=== libs/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

set( CMAKE_POSITION_INDEPENDENT_CODE True )
add_compile_definitions( _LIBRARY )

add_subdirectory(ktst)
add_subdirectory(align)
add_subdirectory(axf) # sra tools dependency
add_subdirectory(blast)
add_subdirectory(cloud)
add_subdirectory(ext)
add_subdirectory(kapp)
add_subdirectory(kdb)
add_subdirectory(kfc)
add_subdirectory(kfg)
add_subdirectory(kfs)
add_subdirectory(klib)
add_subdirectory(kns)
add_subdirectory(kproc)
add_subdirectory(krypto) # TODO: to be replaced with calls to mbedtls
add_subdirectory(schema)
add_subdirectory(search)
add_subdirectory(sra)
add_subdirectory(sraxf) # same as axf
add_subdirectory(vdb)
add_subdirectory(vfs)
add_subdirectory(vxf)
add_subdirectory(wgsxf) # wgsxf and wwgsxf are the same
add_subdirectory(ncbi-vdb)

if ( SINGLE_CONFIG OR _NCBIVDB_CFG_PACKAGING )
    #
    # Install header files
    set( HEADERS align  cloud  insdc  kdb  kfg  klib  kproc   ktst  os     search  sra   vfs
    cc     csra2  ext  kapp   kfc  kfs  kns   krypto  ncbi  vdb  )

    foreach( h IN ITEMS ${HEADERS} )
        install( DIRECTORY ${CMAKE_SOURCE_DIR}/interfaces/${h} DESTINATION ${INST_INCDIR} )
    endforeach()
endif()
if(_NCBIVDB_CFG_PACKAGING)
    install( FILES ${CMAKE_SOURCE_DIR}/LICENSE DESTINATION licenses)
endif()

#add_subdirectory(kxml) VDB-4797 moved to sra-tools
#add_subdirectory(loader) VDB-4855 moved to sra-tools/libs
#add_subdirectory(hdf5) VDB-4795
#add_subdirectory(tui) VDB-4803
#add_subdirectory(diagnose) VDB-4794 moved to sra-tools/test-sra
#add_subdirectory(ascp) VDB-4794 moved to sra-tools/libs/ascp

=== libs/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

TOP ?= $(abspath ..)
MODULE = libs

# TODO: kxml make
# TODO: xfs make

include $(TOP)/build/Makefile.env

=== test/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

if(NOT CMAKE_TEST_OUTPUT_DIRECTORY)
    set(CMAKE_TEST_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/test-bin)
endif()
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_TEST_OUTPUT_DIRECTORY} )

add_subdirectory(kfc)

set( COMMON_LINK_LIBRARIES ktst kapp )

# for the tests that link against libncbi-[w]vdb
if( WIN32 )
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /ENTRY:wmainCRTStartup")
    set( COMMON_LIBS_READ  ${COMMON_LINK_LIBRARIES} ncbi-vdb Ws2_32 Crypt32 ${MBEDTLS_LIBS} )
    set( COMMON_LIBS_WRITE ${COMMON_LINK_LIBRARIES} ncbi-wvdb Ws2_32 Crypt32 ${MBEDTLS_LIBS} )
else()
    link_libraries( ${COMMON_LINK_LIBRARIES} )
    set( COMMON_LIBS_READ  ncbi-vdb  dl pthread ${MBEDTLS_LIBS} )
    set( COMMON_LIBS_WRITE ncbi-wvdb dl pthread ${MBEDTLS_LIBS} )
endif()

add_subdirectory(ktst)
add_subdirectory(cc)
add_subdirectory(ext)
add_subdirectory(judy_test)
add_subdirectory(klib)
add_subdirectory(kfs)
add_subdirectory(kfg)
add_subdirectory(kapp)
add_subdirectory(cloud)
add_subdirectory(krypto)
add_subdirectory(cipher)
add_subdirectory(kdb)
add_subdirectory(kproc)
add_subdirectory(vdb)
add_subdirectory(search)
add_subdirectory(sraxf)
add_subdirectory(vxf)
add_subdirectory(axf)
add_subdirectory(schema) # TODO: INT_TOOLS - see the schema CMakeLists.txt for the details
add_subdirectory(vfs)
add_subdirectory(ncbi-vdb)
# add_subdirectory(install)
add_subdirectory(kns) # TODO: EXT_TOOLS - see the kns CMakeLists.txt for the details

# add_subdirectory(loader) VDB-4855 moved to sra-tools/libs
# add_subdirectory(align) moved to sra-tools
# add_subdirectory(align-access) #VDB-4140 moved to asm-trace

=== libs/align/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

set ( BAM_SRC bam )
set ( ALIGN_ACCESS_SRC align-access )
set ( ALIGN_READER_SRC
    align_mgr
    al_iterator
    unsupported_pileup_estimator
    ref_iterator
    pl_iterator
    dna-reverse-cmpl
    reference-cmn
    reader-cmn
    reader-refseq
    reader-wgs
    reference
    refseq-mgr
    quality-quantizer
)

set ( ALIGN_WRITER_SRC
    dna-reverse-cmpl
    reader-cmn
    reference-cmn
    reader-refseq
    reader-wgs
    refseq-mgr
    writer-cmn
    writer-refseq
    writer-alignment
    writer-sequence
    writer-ref
    writer-reference
)

if( FLEX_FOUND AND BISON_FOUND )
    FLEX_TARGET( SamExtractFlex samextract-lex.l ${CMAKE_CURRENT_SOURCE_DIR}/zz_samextract-lex.c
        COMPILE_FLAGS "--debug --noline" )
    set( SamExtractScanner ${FLEX_SamExtractFlex_OUTPUTS} )
    BISON_TARGET( SamExtractGrammar samextract-grammar.y ${CMAKE_CURRENT_SOURCE_DIR}/zz_samextract-grammar.c
        COMPILE_FLAGS "-Wno-other --no-lines -r state -v --defines=${CMAKE_CURRENT_SOURCE_DIR}/zz_samextract-grammar.h" )
    set( SamExtractParser ${BISON_SamExtractGrammar_OUTPUT_SOURCE} )
    ADD_FLEX_BISON_DEPENDENCY(SamExtractFlex SamExtractGrammar)
    SET_DIRECTORY_PROPERTIES(PROPERTIES CLEAN_NO_CUSTOM 1)
else()
    set( SamExtractScanner zz_samextract-lex.c )
    set( SamExtractParser zz_samextract-grammar.c )
endif()

set ( SAM_EXTRACT_SRC
    ${SamExtractParser}
    ${SamExtractScanner}
    samextract-lib
    samextract-bam
    samextract-pool
)

GenerateStaticLibs( ncbi-bam "${BAM_SRC}" )
GenerateStaticLibs( align-writer "${ALIGN_WRITER_SRC}" )
GenerateStaticLibs( align-access "${ALIGN_ACCESS_SRC}" )

GenerateStaticLibs( sam-extract "${SAM_EXTRACT_SRC}" )
ExportStatic( sam-extract true )

GenerateStaticLibs( align-reader "${ALIGN_READER_SRC}" )

add_compile_definitions( __mod__="libs/align" )

=== libs/blast/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

set( SRC
    blast-mgr.c
    reader.c
    reference.c
    run-set.c
)

GenerateStaticLibs(vdb-blast "${SRC}" )

add_compile_definitions( __mod__="libs/blast" )

=== libs/blast/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

TOP ?= $(abspath ../..)
MODULE = libs/blast

include $(TOP)/build/Makefile.env

=== libs/cloud/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

set( SRC
    aws-auth.c
    aws.c
    cloud-cmn.c
    cloud-mgr.c
    cloud.c
    gcp-authentication.c
    gcp.c
)

GenerateStaticLibs(cloud "${SRC}" )

add_compile_definitions( __mod__="libs/cloud" )

=== libs/kapp/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

set ( UNIX_SRC unix/args-conv-os.c unix/sysmain.c )
set ( LINUX_SRC ${UNIX_SRC} linux/ram.c )
set ( MAC_SRC ${UNIX_SRC} mac/ram.c )
set ( WIN_SRC win/args-conv-os.c win/ram.c win/sysmain.c )

if ( "windows" STREQUAL ${OS} )
    set ( OS_SPECIFIC_SRC ${WIN_SRC} )
elseif( "linux" STREQUAL ${OS} )
    set ( OS_SPECIFIC_SRC ${LINUX_SRC} )
elseif( "mac" STREQUAL ${OS} )
    set ( OS_SPECIFIC_SRC ${MAC_SRC} )
endif()

set( KAPP_CMN
    args
    args-conv
    tokenizer
    log-xml
)

set( KAPP_SRC
    main
    ${KAPP_CMN}
)

set( SRC ${KAPP_SRC} ${OS_SPECIFIC_SRC} )

GenerateStaticLibs( kapp "${SRC}" )
ExportStatic( kapp true )

GenerateStaticLibsWithDefs( kapp-norsrc "${SRC}" "NO_KRSRC=1" )

add_compile_definitions (__mod__="libs/kapp")

=== libs/kdb/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

set( KDB_CMN
    btree
    rowset
    rowset-simple
    dbmgr-cmn
)

set( KDB_SRC
    ${KDB_CMN}
    kdb
    dbmgr
    dbcc-cmn
    database
    database-cc
    table
    table-cc
    column
    column-cc
    coldata
    colidx
    colidx0
    colidx1
    colidx2
    idxblk
    meta
    index
    idstats
    trieidx-v1
    trieval-v1
    ptrieval-v1
    trieidx-v2
    trieval-v2
    ptrieval-v2
    u64idx-v3
)


set( WKDB_SRC
    ${KDB_CMN}
    wkdb
    wdbmgr
    wdatabase
    wtable
    wcolumn
    wcoldata
    wcolidx
    wcolidx0
    wcolidx1
    wcolidx2
    idxblk
    widxblk
    wmeta
    windex
    wtrieidx-v1
    wtrieidx-v2
    wu64idx-v3
)


GenerateStaticLibs( kdb "${KDB_SRC}" )
GenerateStaticLibs( wkdb "${WKDB_SRC}" )

add_compile_definitions (__mod__="libs/kdb")

=== libs/kfc/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

set ( UNIX_SRC unix/sysctx.c unix/sysrsrc.c )
set ( LINUX_SRC ${UNIX_SRC} )
set ( MAC_SRC ${UNIX_SRC} )
set ( WIN_SRC win/sysctx.c win/sysrsrc.c )

if ( "windows" STREQUAL ${OS} )
    set ( OS_SPECIFIC_SRC ${WIN_SRC} )
elseif( "linux" STREQUAL ${OS} )
    set ( OS_SPECIFIC_SRC ${LINUX_SRC} )
elseif( "mac" STREQUAL ${OS} )
    set ( OS_SPECIFIC_SRC ${MAC_SRC} )
endif()

set( SRC
    except
    refcount
    rsrc
    tstate
    vtbl
    xc
    ${OS_SPECIFIC_SRC}
)

GenerateStaticLibs( kfc "${SRC}" )

add_compile_definitions (__mod__="libs/kfc")
include_directories( BEFORE ${CMAKE_CURRENT_SOURCE_DIR} )

=== libs/kfc/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

TOP ?= $(abspath ../..)
MODULE = libs/kfc

include $(TOP)/build/Makefile.env

=== libs/kfg/CMakeLists.txt ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

if( FLEX_FOUND AND BISON_FOUND )
    FLEX_TARGET( KfgFlex config-lex.l ${CMAKE_CURRENT_SOURCE_DIR}/zz_config-lex.c
        COMPILE_FLAGS "--debug --noline" )
    set( KfgScanner ${FLEX_KfgFlex_OUTPUTS} )
    BISON_TARGET( KfgGrammar config-grammar.y ${CMAKE_CURRENT_SOURCE_DIR}/zz_config-grammar.c
        COMPILE_FLAGS "-Wno-other --no-lines -r state --defines=${CMAKE_CURRENT_SOURCE_DIR}/zz_config-grammar.h" )
    set( KfgParser ${BISON_KfgGrammar_OUTPUT_SOURCE} )
    ADD_FLEX_BISON_DEPENDENCY(KfgFlex KfgGrammar)
    SET_DIRECTORY_PROPERTIES(PROPERTIES CLEAN_NO_CUSTOM 1)
else()
    set( KfgScanner zz_config-lex.c )
    set( KfgParser zz_config-grammar.c )
endif()

set( SRC
    ${KfgParser}
    ${KfgScanner}
    config-aws
    config
    docker
    kart
    keystore
    ngc
    properties
    report-kfg
    repository
)

GenerateStaticLibs( kfg "${SRC}" )

add_compile_definitions (__mod__="libs/kfg")
add_compile_definitions (_ARCH_BITS=${BITS})
set_source_files_properties(${KfgScanner} PROPERTIES COMPILE_FLAGS -D__STDC_VERSION__=199901L)

if ( SINGLE_CONFIG AND NOT _NCBIVDB_CFG_PACKAGING)
    install( SCRIPT CODE
        "execute_process(COMMAND /bin/bash -c \"${CMAKE_CURRENT_SOURCE_DIR}/install.sh ${CMAKE_SOURCE_DIR}/interfaces/kfg/ncbi ${CMAKE_INSTALL_PREFIX}/lib64/ncbi /etc/ncbi ${CMAKE_SOURCE_DIR}/interfaces/kfg/ncbi/kfgsums \" )"
    )
endif()

=== debian/changelog ===
ncbi-vdb (3.0.2+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:13:02 +0000

ncbi-vdb (3.0.2+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libmbedcrypto7t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 18:10:19 +0000

ncbi-vdb (3.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/salsa-ci.yml: Stop reenabling aptly, no longer needed.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 Jan 2023 17:43:12 -0500

ncbi-vdb (3.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Drop libkdf5-* and corresponding libhdf5-dev build-dep.
  * debian/copyright: Drop references to content removed upstream, both in
    Files-Excluded and in special cases.
  * debian/patches: Refresh for 3.0.{1,2}(+dfsg); many of our changes can go
    away now that upstream supports using system mbed TLS.  (The only
    difference between 3.0.1 and 3.0.2 is a formal version bump to sync
    with sra-tools 3.0.2.)
  * debian/rules: Account for upstream library installation changes:
    - Honoring CMAKE_INSTALL_LIBDIR (which specifies multiarch paths).
    - Dropping several static libraries (which had been installed on
      principle).
    - Dropping libkdf5.
  * Standards-Version: 4.6.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 27 Dec 2022 12:01:29 -0500

ncbi-vdb (3.0.0+dfsg2-4) experimental; urgency=medium

  * debian/control:
    - Drop i386, desupported upstream.
    - Formally clean up per cme fix.
  * debian/rules: Use $(DEB_HOST_ARCH_BITS) in LIBINSTALLDIR for the sake
    of x32.
  * debian/salsa-ci.yml: Enable aptly for the sake of sra-sdk 3.x until
    both packages return to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 14 Nov 2022 21:30:44 -0500

ncbi-vdb (3.0.0+dfsg2-3) experimental; urgency=medium

  * .gitignore: Ignore temporary interfaces/cc/gcc/aarch64 symlink.
  * debian/patches/detect_BITS.patch (new): Base BITS on sizeof(void *).
    This change is particularly helpful on x32, which the build system
    otherwise conflates with x86_64.
  * debian/patches/fix_cmake.patch: Explicitly link mbedtls's dependencies.
    They see some direct usage.
  * debian/patches/fix_x32.patch (new): Fully fix x32 builds.
    In particular, don't try to build test-wvdb-slow when the address
    space is only 32 bits wide.
  * debian/rules:
    - Unhardcode architecture component in chrpath call.
    - Address arm64/aarch64 header path mismatch with a symlink.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 01 Sep 2022 23:01:22 -0400

ncbi-vdb (3.0.0+dfsg2-2) experimental; urgency=medium

  * debian/.gitignore: Also ignore common-install-stamp.
  * debian/control: Split out Build-Depends-Arch, for nearly everything.
  * debian/patches/fix_cmake.patch: Link libncbi-(w)vdb.so against all
    dependencies.  (Leave the test subtree's COMMON_LIBS_* settings alone
    because tests link statically.)
  * debian/rules: Accommodate builds covering only architecture-dependent
    or architecture-independent packages, with the help of a new
    debian/common-install-stamp target.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Aug 2022 08:08:33 -0400

ncbi-vdb (3.0.0+dfsg2-1) experimental; urgency=medium

  * Merge (or port, as appropriate) changes from 2.11.2+dfsg-5.
    - Account for changes to the binary package inventory.
    - Account for layout changes.
    - Extend upstream's copyright through 2022.
  * .gitignore: Also ignore obj-* and test/vdb/kfg/*/user-settings.mkfg.
  * debian/control: Drop unneeded build dependencies: libngs-* and
    default-jdk-headless.  Keeping libngs-* would have resulted in a
    dependency cycle with sra-sdk 3.x (which incorporates ngs-sdk), and
    default-jdk-headless is heavy.
  * debian/copyright: Additionally exclude */vdb3/jwt-tool/googletest,
    which came to my attention over formal line-ending mismatches relative
    to the tarball (specifically in Visual Studio files).
  * debian/rules: Clean up fully between builds.
  * debian/watch: Adjust dversionmangle to allow digits after +dfsg, per
    the use of +dfsg2 for now.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 25 Aug 2022 00:55:47 -0400

ncbi-vdb (3.0.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Switch to cmake build system
  * Reflect SONAME bump in package names
  * Library libvdb-sqlite is not provided by upstream any more which
    builds libsam-extract as new library.  Binary packages are adapted
    accordingly
  * Review copyright
  * Remove RPATH
  * Standards-Version: 4.6.1

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 11:53:03 +0100

=== debian/control ===
Source: ncbi-vdb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Aaron M. Ucko <ucko@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs (>= 0.104)
Build-Depends-Arch: cmake,
                    libbz2-dev,
                    libxml2-dev,
                    libmagic-dev,
                    libmbedtls-dev,
                    zlib1g-dev,
                    libzstd-dev,
                    flex,
                    bison,
                    python3,
                    doxygen,
                    graphviz,
                    chrpath
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/ncbi-vdb
Vcs-Git: https://salsa.debian.org/med-team/ncbi-vdb.git
Homepage: https://github.com/ncbi/ncbi-vdb
Rules-Requires-Root: no

Package: libncbi-vdb3
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ncbi-vdb-data (>= ${source:Version})
Breaks: sra-toolkit (<< 2.11~)
Description: libraries for using data in the INSDC Sequence Read Archives
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains a runtime library for reading VDB data.

Package: libncbi-vdb-dev
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-vdb3 (= ${binary:Version}),
         libncbi-wvdb-dev (= ${binary:Version}),
         libaec-dev,
         libbz2-dev,
         libzstd-dev,
         zlib1g-dev
Description: libraries for using data in the INSDC Sequence Read Archives (devel)
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This is the development package for reading VDB data.

Package: ncbi-vdb-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: libncbi-vdb2 (<< 2.11.2+dfsg-5~)
Replaces: libncbi-vdb2 (<< 2.11.2+dfsg-5~)
Description: schemata and defaults for the INSDC Sequence Read Archives
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains VDB schemata for SRA data and default
 configuration files for VDB libraries.

Package: libncbi-wvdb3
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ncbi-vdb-data (>= ${source:Version})
Description: virtual layer update module of ncbi-vdb library
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains a runtime library for updating VDB data.

Package: libncbi-wvdb-dev
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-wvdb3 (= ${binary:Version})
Description: virtual layer update module of ncbi-vdb library (devel)
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This package contains development files for updating VDB data.

Package: libsam-extract3
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SAM extraction module of ncbi-vdb library
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This library is part of the ncbi-vdb package and provides an interface
 for extracting Sequence/Alignment Map (SAM) files.

Package: libsam-extract-dev
Architecture: amd64 arm64 x32
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsam-extract3 (= ${binary:Version})
Description: SAM extraction module of ncbi-vdb library (devel)
 The (US) National Center for Biotechnology Information (NCBI)'s
 Virtual/Vertical Database (VDB) is a highly compressed column-oriented
 data warehousing technology developed initially to address the needs
 of the Sequence Read Archive (SRA). It is unique in that it builds
 databases from smaller parts that can function independently as
 _documents_, supports effective and efficient compression, supports
 encryption while remaining encrypted on disk, transparent distribution
 and remote access.
 .
 This library is part of the ncbi-vdb package and provides development
 files for extracting Sequence/Alignment Map (SAM) files.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*//g,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ncbi/ncbi-vdb/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
